Bug 1005762 - abrt BZ summary field is too long
abrt BZ summary field is too long
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 06:56 EDT by Karel Zak
Modified: 2016-11-30 19:45 EST (History)
8 users (show)

See Also:
Fixed In Version: abrt-2.1.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 02:08:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2013-09-09 06:56:21 EDT
Description of problem:

For example bug #1005566 summary line:

 [abrt] util-linux-2.23.2-2.fc19: recount_geometry: Process /usr/sbin/fdisk was killed by signal 8 (SIGFPE)

is horribly long and contains unnecessary (duplicate information).

 - package name (NVR) is unnecessary as we have "component" field in BZ
 - "Process" word is unnecessary as it's obvious from the path

It would be nice to have summary lines like:

 [abrt] recount_geometry: /usr/sbin/fdisk was killed by SIGFPE

or ideally:

  [abrt] fdisk:recount_geometry() killed by SIGFPE

All another information and details belong to the bug description. 


Please, keep the summary field brief!
Comment 1 Jakub Filak 2013-09-16 03:36:26 EDT
Thank you for the report! I've started a discussion about abrt Bugzilla summary on Fedora devel mailing list [1].

1: https://lists.fedoraproject.org/pipermail/devel/2013-September/189226.html
Comment 2 Jakub Filak 2013-11-11 02:05:01 EST
Upstream commit e837bb4b97981e395f282b3d8adb981f4903310a fixes this bug.

Note You need to log in before you can comment on or make changes to this bug.